org.eclipse.wst.jsdt.js.grunt.util

## Class GruntVisitor

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.ASTVisitor
  - - org.eclipse.wst.jsdt.js.common.build.system.BuildSystemVisitor
    - - org.eclipse.wst.jsdt.js.grunt.util.GruntVisitor

    public class GruntVisitor
    extends BuildSystemVisitor

### Constructor Summary

Constructors
Constructor and Description
`GruntVisitor(IFile file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<ITask>` `getTasks()`
`boolean` `visit(FunctionInvocation node)` Visits the given type-specific AST node.

### Methods inherited from class org.eclipse.wst.jsdt.core.dom.ASTVisitor

`endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, postVisit, preVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GruntVisitor

    public GruntVisitor(IFile file)

### Method Detail

#### visit

    public boolean visit(FunctionInvocation node)

Description copied from class: `ASTVisitor`
Visits the given type-specific AST node.

The default implementation does nothing and return true. Subclasses may reimplement.

Overrides:
  `visit` in class `ASTVisitor`
Parameters:
  `node` - the node to visit
Returns:
  `true` if the children of this node should be visited, and `false` if the children of this node should be skipped

#### getTasks

    public java.util.Set<ITask> getTasks()

Specified by:
  `getTasks` in class `BuildSystemVisitor`